/*
 * Class ITERABLE [CHARACTER_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_498 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_498 [] = {0xFF01,237,497,185,0xFFFF};
static const EIF_TYPE_INDEX egt_2_498 [] = {0xFF01,497,185,0xFFFF};
static const EIF_TYPE_INDEX egt_3_498 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_498 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_498 [] = {0xFF01,497,185,0xFFFF};
static const EIF_TYPE_INDEX egt_6_498 [] = {0xFF01,497,185,0xFFFF};
static const EIF_TYPE_INDEX egt_7_498 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_498 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_498 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_498 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_498 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_498 [] = {497,185,0xFFFF};
static const EIF_TYPE_INDEX egt_13_498 [] = {0xFF01,497,185,0xFFFF};
static const EIF_TYPE_INDEX egt_14_498 [] = {0xFF01,498,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_498 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_498[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_498), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_498), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_498), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_498), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_498), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_498), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_498), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_498), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_498), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_498), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_498), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_498), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_498), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_498), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_498), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_498), -1, 0xFFFFFFFF},
};
void Init498(void)
{
	IDSC(desc_498, 0, 497);
	IDSC(desc_498 + 1, 1, 497);
	IDSC(desc_498 + 32, 99, 497);
}


#ifdef __cplusplus
}
#endif
